# Uses of Interface
javax.imageio.event.IIOWriteWarningListener

Packages that use IIOWriteWarningListener
Package
Description
javax.imageio
The main package of the Java Image I/O API.

## Uses of IIOWriteWarningListener in javax.imageio

Fields in javax.imageio with type parameters of type IIOWriteWarningListener
Modifier and Type
Field
Description
`protected List<IIOWriteWarningListener>`
ImageWriter.`warningListeners`
A `List` of currently registered `IIOWriteWarningListener`s, initialized by default to `null`, which is synonymous with an empty `List`.
Methods in javax.imageio with parameters of type IIOWriteWarningListener
Modifier and Type
Method
Description
`void`
ImageWriter.`addIIOWriteWarningListener(IIOWriteWarningListener listener)`
Adds an `IIOWriteWarningListener` to the list of registered warning listeners.
`void`
ImageWriter.`removeIIOWriteWarningListener(IIOWriteWarningListener listener)`
Removes an `IIOWriteWarningListener` from the list of registered warning listeners.